Erro de "apt-get update" no Ubuntu 16.04 Xenial - problemas nos repositórios [RESOLVIDO]

Publicado por Lucas Novo em 30/11/2016

[ Hits: 22.542 ]

 


Erro de "apt-get update" no Ubuntu 16.04 Xenial - problemas nos repositórios [RESOLVIDO]



Depois de muitas horas de busca nos fóruns dessa maravilhosa internet, consegui finalmente achar a solução para meus problemas nos repositórios, e vou colocar essa solução aqui para vocês (minha primeira vez escrevendo uma dica, desculpem qualquer coisa).

Você tem que entender que funcionar para outras pessoas não significa que irá funcionar para você, já que esses erros são muito abrangentes.

Bom, vamos para dica 1, só copie e cole esses códigos no terminal uma linha por vez:

sudo rm -r /var/lib/apt/lists
$ sudo mkdir -p /var/lib/apt/lists/partial
$ sudo apt-get update


Se o update não retornou nenhum erro, parabéns você consegiu! Agora, se retornou erros aconselho tentar a dica 2.

Vamos para dica 2:

Digite isso no terminal:

sudo cp /etc/apt/sources.list /etc/apt/sources.list.bak

Se você usa gedit, use o comando (se não troque o "gedit" pelo seu programa de editor de texto):

sudo gedit /etc/apt/sources.list

Vai abrir seu editor de texto (no caso gedit). Delete tudo que está dentro e cole:

deb http://archive.ubuntu.com/ubuntu xenial universe multiverse
deb-src http://archive.ubuntu.com/ubuntu xenial universe multiverse

deb http://us.archive.ubuntu.com/ubuntu/ xenial universe
deb-src http://us.archive.ubuntu.com/ubuntu/ xenial universe
deb http://us.archive.ubuntu.com/ubuntu/ xenial-updates universe
deb-src http://us.archive.ubuntu.com/ubuntu/ xenial-updates universe

deb http://us.archive.ubuntu.com/ubuntu/ xenial multiverse
deb-src http://us.archive.ubuntu.com/ubuntu/ xenial multiverse
deb http://us.archive.ubuntu.com/ubuntu/ xenial-updates multiverse
deb-src http://us.archive.ubuntu.com/ubuntu/ xenial-updates multiverse

deb http://security.ubuntu.com/ubuntu xenial-security universe
deb-src http://security.ubuntu.com/ubuntu xenial-security universe
deb http://security.ubuntu.com/ubuntu xenial-security multiverse
deb-src http://security.ubuntu.com/ubuntu xenial-security multiverse

Logo depois salve o arquivo e mande um:

sudo apt-get update

E essas são minhas dicas, espero ter ajudado :)

Outras dicas deste autor

Como tirar os "Ícones invisíveis" do lançador do Ubuntu

Leitura recomendada

Placa de rede Realtek - Como reinstalar ou atualizar o driver

Laptop sem wi-fi no roteador SAGEMCOM da Vivo Fibra [Resolvido]

NTFS + Samba com o SELinux ativado

Ubuntu - Limitar banda (Shaper)

Desabilitando IPV6 no Debian 8 e Ubuntu Server 16.04

  

Comentários
[1] Comentário enviado por Lucasscotti em 03/12/2016 - 10:58h

Bom dia Lucas! Li sua dica, e acredito que se encaixe no problema que estou enfrentando com a mesma versão do UBUNTU que tenho instalada na minha , antes de dar os comandos queria saber se realmente isso iria me ajudar.
Estou com dificuldade com o UBUNTU, . Estou tentando usar o sistema kgpg, para criptografar mensagens, tenho o comando correto para baixar, ele baixa, porém quando é criado o ícone, eu clico duas vezes e ele não abre de maneira alguma. Já instalei e desinstalei mas não roda. Minha versão do Ubuntu é a 16.04

[2] Comentário enviado por LukeSky em 04/12/2016 - 00:17h


[1] Comentário enviado por Lucasscotti em 03/12/2016 - 10:58h

Bom dia Lucas! Li sua dica, e acredito que se encaixe no problema que estou enfrentando com a mesma versão do UBUNTU que tenho instalada na minha , antes de dar os comandos queria saber se realmente isso iria me ajudar.
Estou com dificuldade com o UBUNTU, . Estou tentando usar o sistema kgpg, para criptografar mensagens, tenho o comando correto para baixar, ele baixa, porém quando é criado o ícone, eu clico duas vezes e ele não abre de maneira alguma. Já instalei e desinstalei mas não roda. Minha versão do Ubuntu é a 16.04


Olá, desculpe se não entendi muito bem a pergunta, mas tente iniciar o kgpg pelo terminal(apenas escreva kgpg no terminal) e poste aqui a saida, se puder te ajudo :)

[3] Comentário enviado por Anders em 20/08/2017 - 13:38h

A dica 2 funcionou perfeitamente. Obrigado!

[4] Comentário enviado por deolliveira em 26/02/2018 - 23:05h

A solução 2 funcionou perfeitamente para o meu caso. Muito obrigado!

[5] Comentário enviado por asb3 em 14/05/2018 - 10:35h

Muito obrigado, a dica 1 resolveu meu problema.

[6] Comentário enviado por rildovg em 06/12/2018 - 14:10h

Meu erro se deu, depois de fixar o IP (static), então voltei a configuração e configurei o router para pagar um Ip especifico para o Servidor.



Contribuir com comentário




Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts